/ api / cat / special / _unknown
_unknown
Syntax

    GB_METHOD ( "_unknown" , "v" , MyClass_unknown , "." )

The `_unknown` method is called when the interpreter didn't find a method or property symbol in the class declaration.

This method takes a variable number of arguments, and returns a Variant value.

Inside the implementation function:

- The GB.IsProperty function will tell you if the unknown symbol was used as a property or as a method.
- The GB.GetUnknown function will return the name of the unknown symbol.
- The GB.NParam function will return the number of arguments passed to the function.

The Application class of the `gb.qt.kde` component is a good example of the use of this feature. When you do a DCOP call, the interpreter doesn't know if the application is loaded, if the method exists, what its parameters are, and so on. So the `_unknown` special method is welcome !

### See also

Special Methods Methods Implementation Unknown Special Method Management